
<section>
	<div class="wizard">
		<div class="wizard-head">
			<div class="container">
				<h2 class="wizard-title main-title">{{tabTitle}}</h2>
				<div class="wizard-inner">
					<ul class="nav nav-tabs" role="tablist">
						<li role="presentation" class="li" [ngClass]="tab1?'active':(tab2 || tab3 || tab4 || tab5 )?'done':''">
							<a data-toggle="tab" aria-controls="step1" role="tab" title="Step 1">
								<span class="round-tab">
									1 
								</span> 
								<img src="/assets/images/Summary/Elipse-Green-Done.svg" *ngIf="(tab2 || tab3 || tab4 || tab5 )"/>
								<label>Objednávka<!--Order--></label>
							</a>
						</li>

						<li role="presentation" class="disabled li" [ngClass]="tab2?'active':(tab3 || tab4 || tab5 )?'done':''">
							<a data-toggle="tab" aria-controls="step2" role="tab" title="Step 2">
								<span class="round-tab">
									2
								</span>
								<img src="/assets/images/Summary/Elipse-Green-Done.svg" *ngIf="(tab3 || tab4 || tab5 )"/>
								<label>Souhrn<!--Summary--></label>
							</a>
						</li>
<!-- 						<li role="presentation" class="disabled li" [ngClass]="tab3?'active':(tab4 || tab5 )?'done':''">
							<a data-toggle="tab" aria-controls="step3" role="tab" title="Step 3">
								<span class="round-tab">
									3
								</span>
								<img src="/assets/images/Summary/Elipse-Green-Done.svg" *ngIf="(tab4 || tab5 )"/>
								<label>Login</label>
							</a>
						</li> -->

						<!-- <li role="presentation" class="disabled li" [ngClass]="tab3?'active':(tab4 )?'done':''">
							<a href="#step3" data-toggle="tab" aria-controls="step3" role="tab" title="Step 3">
								<span class="round-tab">
									3
								</span>
								<img src="/assets/images/Summary/Elipse-Green-Done.svg" *ngIf="(tab4 )"/>
								<label>Payment</label>
							</a>
						</li> -->
						<li role="presentation" class="disabled complete-all li" [ngClass]="tab3?'active':''">
							<a href="#complete" data-toggle="tab" aria-controls="complete" role="tab" title="Complete">
								<span class="round-tab">
									3
								</span>
								<label>Dokončeno<!--Done--></label>
							</a>
						</li>
					</ul>
				</div>
			</div>
		</div>

		<form role="form">
			<div class="container">
				<div class="tab-content" #tabContent>
					<div class="tab-pane" [ngClass]="{'active':tab1}" role="tabpanel" id="step1" #step1>
						<div class="selectcountry-box order-page-selectcountry border-bottom">
							<div class="container">
								<div class="sm-title">Top Up Number</div>
								<app-countrycode-msisdn [type]="'order'"></app-countrycode-msisdn>
							</div>
						</div>
						<div class="order-info border-bottom">
							<div class="container"> 
								<div class="sm-title">Select Order</div>
								<div *ngIf="!operatorData?.length">
									Sorry your country is not yet supported
								</div>
								<div *ngIf="operatorData?.length" class="company-logo-list">							
									<div class="company-logo" [ngClass]="selectedBox==x?'active':'notactive'" *ngFor="let i of operatorData;let x=index;" (click)="getBoxClicked(x,i,'operator')">
										<div class="img-box">										
											<img class="" [src]="i.logoURL" alt="" class="img-responsive">
										</div>
										<p class="logo-name">
											{{i.description}}
										</p>
									</div>
								</div>
							</div>
						</div>
						<div class="order-info border-bottom" *ngIf="activeAmount">
							<div class="container">

								<div class="sm-title">Select Amount</div>
								<div class="loadingCss" *ngIf="loading">
									<img src="assets/images/loading.gif">
								</div>
								<!-- <img src="assets/images/loading.gif" *ngIf="loading"> -->
								<div *ngIf="!productsData.length">
									Sorry ,there are no products unders this operator
								</div>
								<div class="company-logo-list" *ngIf="productsData?.length">
									<div class="company-logo amount-info" [ngClass]="selectedAmount==x?'active':'notactive'" *ngFor="let j of productsData;let x=index;"  (click)="getBoxClicked(x,j,'products')">
									<!-- <h2 class="amount">10</h2>
										<span>ZAR</span> -->
										<div class="amount-box amount-box1">
											{{j.display}}
										<!-- <span>MTN</span>
											<p class="">&#36; 1,15 USD</p> -->
										</div>
									</div>								
								</div>
							</div>
						</div>
						<div class="order-info border-bottom" *ngIf="selectedAmount!=undefined">
							<div class="container">
								<div class="select-checkbox">
									<label for="checkbox">
										<input id="checkbox" type="checkbox" name="checkbox">
										<span class="label-text"><b>Free</b> - Send receiver an SMS</span>
									</label>
								</div>
								<div class="select-checkbox">
									<label for="checkbox1">
										<input id="checkbox1" type="checkbox" name="checkbox1">
										<span class="label-text">I have a Promotinal Code</span>
									</label>
								</div>
							</div>
						</div>
						<div class="sending-btn">
							<div class="container">
								<h4 *ngIf="selectedAmount">Sending <b>R30.00 / &#36;5USD</b> to number +{{countryCode.callingCodes[0]}}{{msisdndata}}</h4>
								<div class="btn-box">
									<button type="button" class="a-btn default-btn" [disabled]="(activeButton)" (click)="proceedToCheckout()">Next</button>
									<!-- <button href="" class="a-btn redden-btn" [disabled]="activeButton" (click)="saveToCart()">&#43; Add Another Top Up</button> -->
								</div>
							</div>
						</div>
					</div>
					<div class="tab-pane" [ngClass]="{'active':tab2}" role="tabpanel" id="step2" #step2>
						<div class="summary-info order-info border-bottom">
							<div class="container">
								<p class="click-info">Click on a Top Up to view addtional information</p>
								<div class="item-title hidden-xs">
									<label class="">Recipient</label>
									<label>Operator</label>
									<label>Amount</label>
									<label class="text-right">Price</label>
								</div>
								<ul class="item-list visible-lg visible-md hidden-sm hidden-xs">
									<li *ngIf="cartData?.length ==0">
										No Items Available.
									</li>
									<li *ngFor="let y of cartData;let x=index;">
										<span class="text-padding">&#43; {{y.receipent}}</span>
										<span>
											<img class="" [src]="y.logoUrl" alt="" class="img-responsive"> 
											<h5 class="text-padding"> {{y.operator}}</h5> 
										</span>
										<span class="text-padding text-width"><b>{{y.amount}}</b> 
										</span>
										<!-- <span class="text-padding"><b>30</b> <sub>Zar</sub></span> --> 
										<span class="text-padding text-right spanBoxWidth"><b>{{y.localCurrencyCode}}</b> 
											<!-- <b>{{getPrice(y.amount,2)}}</b>  -->
											<sub>{{y.localValue}}
												<!-- {{getPrice(y.amount,1)}} --></sub></span>
												<div class="cancel-btn" (click)="removeData(x)" *ngIf="!selectedRedeem"><img class="" src="assets/images/Summary/Icon-Remove.svg" alt="" class="img-responsive"></div>
											</li>
							<!-- 	<li>
									<span class="text-padding">&#43; 27829289453</span>
									<span><img class="" src="assets/images/Order/Logos/Telkom_Logo.png" alt=""> Telkom </span>
									<span class="text-padding"><b>50</b> <sub>Zar</sub></span>
									<span class="text-padding text-right"><b>12.00</b> <sub>Usd</sub></span>
									<div class="cancel-btn"><img class="" src="assets/images/Summary/Icon-Remove.svg" alt="" class="img-responsive"></div>
								</li> -->
							</ul>
							<div class="mob-order-info hidden-ld hidden-md visible-sm visible-xs">
								<div class="panel-group" id="accordion">
									<div class="panel panel-default" *ngIf="cartData?.length ==0">
										No Items Available.
									</div>
									<div class="panel panel-default" *ngFor="let y of cartData;let x=index">
										<div class="panel-heading">
											<h4 class="panel-title">
												<a data-toggle="collapse" data-parent="#accordion" [href]="'#collapse'+x">
													<b>Recipient :</b> &#43; {{y.receipent}} 
													<img src="assets/images/Home/Icon-arrow-down.svg" alt="" class="img-responsive down-arrow"> 
												</a>
												<div class="cancel-btn pull-right" (click)="removeData(x)" *ngIf="!selectedRedeem">
													<img class="" src="assets/images/Summary/Icon-Remove.svg" alt="" class="img-responsive">
												</div>
											</h4>
										</div>
										<div [id]="'collapse'+x" class="panel-collapse collapse in">
											<div class="panel-body">
												<ul>
													<li>
														<div class="col-xs-6">
															<label class="text-padding">Operator</label>
														</div>
														<div class="col-xs-6">
															<img class="" [src]="y.logoUrl" alt="" class="img-responsive">  
															<span class="text-padding">{{y.operator}} </span>
														</div>
													</li>
													<li>
														<div class="col-xs-6">
															<label>Amount</label>
														</div>
														<div class="col-xs-6">
															<span class=""><b>{{y.amount}}</b> 
																<!-- <sub>Zar</sub> -->
															</span>
														</div>
													</li>
													<li>
														<div class="col-xs-6">
															<label>Price</label>
														</div>
														<div class="col-xs-6">
															<span class="">
																<b>{{y.localCurrencyCode}} </b> 
																<!-- <b>{{getPrice(y.amount,2)}}</b>  -->
																<sub>{{y.localValue}}
																	<!-- {{getPrice(y.amount,1)}} -->
																</sub></span>
															</div>
														</li>
													</ul>
												</div>
											</div>
										</div>
									</div>

								</div>
								<div class="note-box dark-border-bottom">
									<p>Please note - some of the receive amounts may have been updated since your last visit</p>
								</div>
								<div class="sub-total dark-border-bottom">
									<p>SubTotal <span class="pull-right">{{cartData[0]?.localCurrencyCode}}{{getTotal()}}</span></p>
									<!-- <p>Processing Fee <span class="pull-right">USD &#36;1.00</span></p> -->
								</div>
								<div class="total-box">
									<h3>SubTotal <span class="pull-right">{{cartData[0]?.localCurrencyCode}}{{getTotal()}}</span></h3>
								</div>
								<div class="btn-box">
									<!-- <button class="a-btn redden-btn" (click)="resetTabs()" *ngIf="!selectedRedeem">&#43; Add Another Top Up</button> -->
									<button class="a-btn redden-btn" [routerLink]="['/cz/myflash/home']" *ngIf="!selectedRedeem">&#43; Add Another Top Up</button>
									<button class="a-btn redden-btn" (click)="goToNextStep()"> {{!selectedRedeem ? 'Proceed To Payment' : 'Continue'}}</button>
								</div>
							</div>

						</div>
					</div>
				<!-- <div class="tab-pane" [ngClass]="{'active':tab3}" role="tabpanel" id="step3" #step3>
					3 page
				</div> -->
	<!-- 			<div class="tab-pane" [ngClass]="{'active':tab3}" role="tabpanel" id="step4" #step3>
					<div class="col-md-12 ">
						<h2>Payment</h2>
						Please Select your preffered Payment below
					</div>
					<form class="thirdParty" id="thirdParty" method="POST">
					</form>
					<div (click)="callBackData()" id="finalTrigger"></div>
				</div> -->
				<div class="tab-pane" [ngClass]="{'active':tab3}" role="tabpanel" id="complete" #complete>
					<h2 *ngIf="doneDisplayMsg">{{doneDisplayMsg}}</h2>
					<!-- <div *ngIf="purchasedData?.length">
						<ul>
							<li *ngFor="let i of purchasedData">{{i.productID}}======{{i.txResponseMessage}}</li>
						</ul>
					</div> -->
					<!-- <div *ngIf="purchasedData" class="payment-done">
						<h2 class="myH2"><b>Transaction Info</b></h2>
						<div [innerHtml]="purchasedData.print"></div>
					</div> -->
					<div class="btn-box">
						<button class="a-btn redden-btn okaybtncss" (click)="done()">Okay</button>

					</div>
				</div>
				<div class="clearfix"></div>
			</div>
		</div>
	</form>
</div>

</section>


<!-- <noscript>
	<img height="1" width="1" style="display:none"
	src="https://www.facebook.com/tr?id=2167375363538485&ev=OrderView&noscript=1"
	/>
</noscript> -->



